Skip to content

Embedded Payments API (1.0)

The API allows a POS to accept Embedded Payments payments.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Merchants

Operations

Locations

Operations

List Embedded Payments Locations

Request

Retrieve the list of location IDs attached to a Tyro Merchant ID. A location ID represents the physical location from which a payment originates and is required in order to create the Reader

Security
JWT
Path
merchantIdstringrequired

The Merchant ID requesting the locations

Example: 98765
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  https://api.tyro.com/connect/tap-to-pay/merchants/98765/locations \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The list of locations for the provided merchant ID

Bodyapplication/json
resultsArray of objects(Location)required

The results for the locations for the provided merchant ID

results[].​locationIdstringrequired

The ID of the location as specified by the Tyro Connect system

Example: "tc-exampleshop-3000"
results[].​namestringrequired

The name of the location, this could be a description or address for the location

Example: "Example Shop Melbourne"
results[].​addressobject

The address of the location

Response
application/json
{ "results": [ {}, {} ] }

Connections

Operations

Readers

Operations

Transactions

Operations